#
# spec file for package python-nose-cov
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-nose-cov
Version:        1.6
Release:        3.1
Summary:        nose plugin for coverage reporting, including subprocesses and multiprocessing
License:        MIT
Group:          Development/Languages/Python
Url:            http://bitbucket.org/memedough/nose-cov/overview
Source:         https://pypi.io/packages/source/n/nose-cov/nose-cov-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
This plugin produces coverage reports.  It also supports coverage of subprocesses.

All features offered by the coverage package should be available, either through nose-cov or
through coverage's config file.

%prep
%setup -q -n nose-cov-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Mon Jan 16 2017 dmueller@suse.com
- Initial package (1.6)
